## org.mortbay.jetty.client.security
Class DigestAuthorization

    java.lang.Object
      org.mortbay.jetty.client.security.DigestAuthorization

All Implemented Interfaces:
  Authorization

    public class DigestAuthorization

extends java.lang.Object
implements Authorization

Constructor Summary
`DigestAuthorization(Realm realm, java.util.Map details)`

Method Summary
`protected java.lang.String` `newCnonce(HttpExchange exchange, Realm securityRealm, java.util.Map details)`
`protected java.lang.String` `newResponse(java.lang.String cnonce, HttpExchange exchange, Realm securityRealm, java.util.Map details)`
`void` `setCredentials(HttpExchange exchange)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigestAuthorization

    public DigestAuthorization(Realm realm,
                               java.util.Map details)

Method Detail

### setCredentials

    public void setCredentials(HttpExchange exchange)
                        throws java.io.IOException

  Specified by:
    `setCredentials` in interface `Authorization`
  Throws:
    `java.io.IOException`

### newResponse

    protected java.lang.String newResponse(java.lang.String cnonce,
                                           HttpExchange exchange,
                                           Realm securityRealm,
                                           java.util.Map details)

### newCnonce

    protected java.lang.String newCnonce(HttpExchange exchange,
                                         Realm securityRealm,
                                         java.util.Map details)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.